/*

cfdisc.h - Compact Flash routines

Blocks are always 512 bytes in size.
block in 0..268435455 (due to use of 28 bit LBA addressing, 128GB card)
count in 0..255, 0 means 256

*/

#ifndef CFDISC_H
#define	CFDISC_H

extern int cfcheck(void);
extern int cfinit(void);
extern int cfread(unsigned long block, unsigned count, unsigned char *dest);
extern int cfwrite(unsigned long block, unsigned count, const unsigned char *dest);

#endif
